Regression latest kernel breaks my Atheros AR5001 wifi

Bug #710738 reported by Dave Morley on 2011-01-31
96
This bug affects 17 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Seth Forshee
Natty
High
Seth Forshee

Bug Description

Atheros AR5001 was working out of the box until this morning linux kernel update on natty.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-1-generic 2.6.38-1.28
Regression: Yes
Reproducible: No
ProcVersionSignature: Ubuntu 2.6.38-1.28-generic 2.6.38-rc2
Uname: Linux 2.6.38-1-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: davmor2 1243 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfc400000 irq 46'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,17341123,00100003'
   Controls : 12
   Simple ctrls : 7
Date: Mon Jan 31 16:16:22 2011
Frequency: Once a day.
HibernationDevice: RESUME=UUID=f0ed98b9-cd30-4aed-8503-09856afb9e15
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110112)
MachineType: FUJITSU SIEMENS AMILO Li 2727
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 LC_MESSAGES=en_GB.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-1-generic root=UUID=1db96e43-19b4-4fd9-b5b5-7978c88701db ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-1-generic N/A
 linux-backports-modules-2.6.38-1-generic N/A
 linux-firmware 1.46
SourcePackage: linux
dmi.bios.date: 01/16/2008
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V1.07
dmi.board.name: LV1
dmi.board.vendor: FUJITSU SIEMENS
dmi.board.version: 1D
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: FUJITSU SIEMENS
dmi.chassis.version: A2040
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV1.07:bd01/16/2008:svnFUJITSUSIEMENS:pnAMILOLi2727:pvr20:rvnFUJITSUSIEMENS:rnLV1:rvr1D:cvnFUJITSUSIEMENS:ct10:cvrA2040:
dmi.product.name: AMILO Li 2727
dmi.product.version: 20
dmi.sys.vendor: FUJITSU SIEMENS

Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Andy Whitcroft (apw) wrote :

There does seem to be a lot more regulatory noise the new dmesg as compared to the old. Unsure if this is mearly informative or if we actually have a difference in regulatory regulations being applied. Note that this machine is being reported as being in AM (Armenia) from a constraints point of view.

Dave Morley (davmor2) wrote :

Andy just a quick update,
I have a wireless N dongle that came with my router it also happens to be an atheros chipset and suffers from the same fault.

I'm assuming therefore that it is something built into the hardware that is causing the fault or an issue with the driver.

Both work fine under the previous kernel

tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Triaged
tags: added: regression-release
Changed in linux (Ubuntu Natty):
importance: Undecided → High
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
tags: added: iso-testing
MacRules (macrules) wrote :

not sure if this is relevant, but on the ubuntu forums this ws noted:
sudo rmmod -f ath5k
sudo modprobe ath5k nohwcrypt=1
it worked for me, after that the driver was loaded:
http://ubuntuforums.org/showthread.php?p=10652413#post10652413

Hi Dave,

Just curious if you have tested with a more recent Natty kernel (eg. 2.6.38-8.41). Can you confirm if this is still an issue? Thanks.

Changed in linux (Ubuntu Natty):
status: Triaged → Incomplete
Dave Morley (davmor2) wrote :

Update.

I have tried this from this mornings ISO 2.6.38-8-generic
Also on the up-to-date natty install same kernel
I have tried my AR dongle too.

In network manager the Enable Wireless is unchecked in all circumstances and if you check it there are no networks displayed only wireless disabled.

vlad (i-design-you-use) wrote :

I have the same problem with my Atheros AR5007EG after update from 10.10 to 11.04 on 2011-04-08.
Tried to

sudo rmmod -f ath5k
sudo modprobe ath5k nohwcrypt=1

but nothing changed.

Changed in linux (Ubuntu Natty):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Natty):
milestone: none → ubuntu-11.04
Andy Whitcroft (apw) wrote :

@Dave -- can you see if the work around in comment #6 works for you as well please. Please report back here.

Dave Morley (davmor2) wrote :

@Andy I'm going with no! :( see screenshot

Changed in linux (Ubuntu Natty):
milestone: ubuntu-11.04 → natty-updates
assignee: Canonical Kernel Team (canonical-kernel-team) → nobody
status: Confirmed → Triaged
theanswriz42 (theanswriz42) wrote :

I'm running a:

 02:00.0 Network controller: Atheros Communications Inc. AR9287 Wireless Network Adapter (PCI-Express) (rev 01)

And am seeing similar results. I did the workaround which seemed to help a fair bit last night, though the network dropped again this morning so I'm not sure if that's a solid fix. It seems more stable than before though.

Randy Wilson (blazerw) wrote :

I'm running a:
06:00.0 Network controller: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01)

I see the exact same symptoms:
1. Wireless disabled on startup.
2. Enable Wireless
3. No wireless networks are listed, Just "wireless is disabled" listed.
4. The work around above made no difference.

Another bug (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/762845) is more specific to my chipset, but seems to really be a duplicate of this one.

Recently upgraded Acer Aspire 5100-3949 having Atheros AR2413 wireless chip -- upgraded from Maverick 10.10 to Natty 11.04 and ran into this.

workaround in #6 MAY have worked (it still took several minutes for connection to9 come up, and based on past experience it may have come up randomly).

uname -a says:

Linux AcerA5100 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:50 UTC 2011 i686 athlon i386 GNU/Linux

Seth Forshee (sforshee) wrote :

@Dave:

I notice that in your RfKill.txt attachment the wirelss lan device is soft blocked. I also note that the following patch went into the kernel between your working and non-working versions:

  commit 466449cfe797b8a5d82d25d0e0e08426d8dfba19
  Author: Lee, Chun-Yi <email address hidden>
  Date: Mon Dec 13 10:02:41 2010 +0800

      acer-wmi: Initialize wlan/bluetooth/wwan rfkill software block state

So perhaps what's happened is that your firmware state indicates that wifi should be disabled, but prior to that patch the kernel wasn't checking the bios to get that state. Do you have a wifi hotkey on your machine? What happens if you press it?

Dave Morley (davmor2) wrote :

Seth No joy is there a way I can manually over ride it and see if that is the issue?

Dave Morley (davmor2) wrote :

Seth no worries found it.

sudo rfkill unblock wifi

This is unblocking my wifi however everytime I boot/reboot I'm needing to redo this and there appears to be no guarantee of it coming up on reboot.

Seth Forshee (sforshee) on 2011-04-19
Changed in linux (Ubuntu Natty):
assignee: nobody → Seth Forshee (sforshee)
status: Triaged → In Progress
Seth Forshee (sforshee) wrote :

I'm going to have to look at the driver a little more closely, but here's a few things you can check regarding the hotkey.

First off, install the input-utils package, then run 'sudo lsinput'. In the output, look for a device with the name "Acer WMI hotkeys". Above that you'll see the the path to the device, which will be /dev/input/event<n>, where <n> is a number.

Now run 'sudo /lib/udev/keymap -i input/event<n>' using the Acer WMI device. Press the wifi hotkey, and let me know what output (if any) you get. When you're done you can kill the keymap program with Ctrl-C.

Next, run acpi_listen and press the wifi hotkey. Again, let me know what output you get.

Finally, provide the output of dmesg after pressing the wifi hotkey at least once..

Thanks!

Seth Forshee (sforshee) wrote :

I found a couple of patches from .39 that look like they might help, one for the initial state and one for the hotkey. I should have a test build for you soon.

Seth Forshee (sforshee) wrote :

Okay, test build is available at:

http://people.canonical.com/~sforshee/lp710738/

Changed in linux (Ubuntu Natty):
status: In Progress → Incomplete
Dave Morley (davmor2) wrote :

Seth:
I installed you kernels with dpkg -i the install went well the wireless was upon reboot. However the button still isn't running. This is on a Fujitsu Siemens so that might be why the acer wmi fix. However one of the reporter with an acer might be able to check that :)

Dave Morley (davmor2) wrote :

wireless was working upon reboot sorry

Seth Forshee (sforshee) wrote :

The acer-wmi driver supports your machine too.

Can you provide the output from the steps I gave in comment #18? That will help with diagnosing the hotkey problem.

Thanks!

fresh install of today's daily build of natty on same hardware...

I created a file to implement comment #6 automatically

/etc/modprobe.d/atheros-workaround.conf (file contains one line)

options ath5k nohwcrypt=1

on upgraded natty the network worked after a several-minute delay, on fresh install so far it is taking longer but ultimately working

Trying to follow the discussion for this bug -- I am curious why the acer-wmi driver does not load at all on this Acer Aspire 5100 laptop. I saw this hardware listed as being supported somewhere, but when trying to insmod it isn't even found.

$ sudo insmod acer-wmi
insmod: can't read 'acer-wmi': No such file or directory
$ locate *acer-wmi.ko
/lib/modules/2.6.38-8-generic/kernel/drivers/platform/x86/acer-wmi.ko

Dave Morley (davmor2) wrote :

Here's the output I don't see the required element on show.

davmor2@davmor2-AMILO-Li-2727:~$ sudo lsinput
[sudo] password for davmor2:
/dev/input/event0
   bustype : BUS_HOST
   vendor : 0x0
   product : 0x5
   version : 0
   name : "Lid Switch"
   phys : "PNP0C0D/button/input0"
   bits ev : EV_SYN EV_SW

/dev/input/event1
   bustype : BUS_HOST
   vendor : 0x0
   product : 0x3
   version : 0
   name : "Sleep Button"
   phys : "PNP0C0E/button/input0"
   bits ev : EV_SYN EV_KEY

/dev/input/event2
   bustype : BUS_HOST
   vendor : 0x0
   product : 0x1
   version : 0
   name : "Power Button"
   phys : "LNXPWRBN/button/input0"
   bits ev : EV_SYN EV_KEY

/dev/input/event3
   bustype : BUS_I8042
   vendor : 0x1
   product : 0x1
   version : 43841
   name : "AT Translated Set 2 keyboard"
   phys : "isa0060/serio0/input0"
   bits ev : EV_SYN EV_KEY EV_MSC EV_LED EV_REP

/dev/input/event4
   bustype : (null)
   vendor : 0x0
   product : 0x0
   version : 0
   name : "HDA Intel Headphone"
   phys : "ALSA"
   bits ev : EV_SYN EV_SW

/dev/input/event5
   bustype : BUS_I8042
   vendor : 0x2
   product : 0x7
   version : 4785
   name : "SynPS/2 Synaptics TouchPad"
   phys : "isa0060/serio2/input0"
   bits ev : EV_SYN EV_KEY EV_ABS

/dev/input/event6
   bustype : BUS_HOST
   vendor : 0x0
   product : 0x6
   version : 0
   name : "Video Bus"
   phys : "LNXVIDEO/video/input0"
   bits ev : EV_SYN EV_KEY

My Aspire 5100 has a similar lsinput (with a few differences like listing the power button twice), but doesn't have entries for the wifi or bluetooth switches. (I saw in the acer-wmi code something about an email light and I gather the email button should illuminate, but it and the other special buttons aren't listed here, either.)

on my hardware, pressing the wifi button apparently DOES disable the wireless connection, but does not generate a keypress event. (In order to get network manager to work again, I had to toggle the "Enable Wireless" option in Network Manager's panel applet menu.)

By contrast, the adjacent bluetooth button (which I believe is not connected to a functional module) puts the following two lines into dmesg:

Apr 20 08:03:25 AcerAspire5100 kernel: [ 1799.344012] atkbd serio0: Unknown key released (translated set 2, code 0x84 on isa0060/serio0).
Apr 20 08:03:25 AcerAspire5100 kernel: [ 1799.344021] atkbd serio0: Use 'setkeycodes e004 <keycode>' to make it known.

Seth Forshee (sforshee) wrote :

@Tommy:

It sounds like you aren't experiencing the same issues that are the subject of this bug. You would only see it if the acer-wmi module was loading, and your wifi wouldn't start working after a while.

It may be that the acer-wmi driver should support your model but doesn't yet, or that it does support it but isn't auto-loading correctly (I saw some changes after natty to fix auto-loading on some models). But the way you're trying to load the module won't work; insmod requires a path to the file. You're wanting modprobe, i.e. 'sudo modprobe acer-wmi'. All of this is really off-topic for this bug, so I suggest opening a new bug for this if e.g. your hotkeys don't work.

Seth Forshee (sforshee) wrote :

@Dave:

Upon closer inspection I see that for your particular machine there will not be an "Acer WMI hotkeys" input device. So either your hotkeys are going to be reported on the "AT Translated Set 2 keyboard" device or else on one of the other WMI devices I see that aren't currently being handled by the acer-wmi driver. I'd suggest trying the steps I suggested on the AT keyboard device, and if that doesn't yield anything I'd suggest opening another bug to deal specifically with that issue. It would also be interesting to know whether any of your hotkeys worked.

I'm going to do another build with only the fix for the rfkill state initialization, and once you verify that if fixes your wifi at boot I'll submit the patch for natty SRU.

Seth Forshee (sforshee) wrote :

@Tommy:

Did you run the keymap command I gave in comment #18 on your AT keyboard device while pressing the wifi hotkey? You're seeing the dmesg output from the bluetooth key because the kernel does not know which key is represented by the scancode it received from the hardware. If it does know how to handle the wifi hotkey you won't see the message in dmesg but should see something from keymap.

It's also possible that the wifi state is reported directly via ACPI instead of via an input event, in which case I think you should see some output if you press the key while running acpi_listen.

Opened Bug #767192 ... sorry for the noise

Dave Morley (davmor2) wrote :

@ seth fn+F1 which is the softkill key shows up as nothing. Just too makes sure it was the correct event I tried the volume keys that I know work and they showed up correctly.

Seth Forshee (sforshee) wrote :

@Dave:

New debs (v201104200928) are available at:

http://people.canonical.com/~sforshee/lp710738/

Once you confirm they fix the state of your wifi at boot I'll get the patch submitted. Thanks!

Seth Forshee (sforshee) wrote :

@Dave, please also try acpi_listen and also check dmesg for any messages about unknown keys or scan codes or anything like that. There's also a tool named input-events that's more of a firehose than keymap, so it might show something that keymap doesn't. You can pass it only the number, so if you passed input/event3 to keymap you would run

  sudo input-events 3

Note that it will exit after about 5 seconds of no key events; you can make this longer with the -t option.

Dave Morley (davmor2) wrote :

sudo input-events 3 shows nothing for fn+F1 but again does for volume up down. nothing shows up in dmesg either, I'm beginning to wonder if the key works at all :D

Dave Morley (davmor2) wrote :

@seth confirmed new kernel.debs enable wireless correctly.

Seth Forshee (sforshee) wrote :

@Dave: Great, I'll get the patch submitted for natty SRU.

Not sure about the hotkey. There may be wmi events that the driver just doesn't know how to handle. I can take a peek at the DSDT and see if I can tell anything. To collect that, run the following:

  sudo apt-get install fwts
  sudo fwts --disassemble-aml

This will generate a couple of .dsl files. Please attach these to the bug.

Seth Forshee (sforshee) wrote :

@Dave, can you test one other thing for me? Can you run 'rfkill list' right after boot with the latest kernel I supplied and paste the output here? I was doing a closer review of the patch before submitting, and that information might help clear up a little something I'm confused about.

Dave Morley (davmor2) wrote :

rfkildavmor2@davmor2-AMILO-Li-2727:~$ rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :

All present and correct for you :) If there is anything else just give me a shout :)

Seth Forshee (sforshee) on 2011-04-21
Changed in linux (Ubuntu Natty):
status: Incomplete → In Progress
Seth Forshee (sforshee) wrote :

Hrm, I'm still having a bit of difficulty working out exactly why this patch fixes your particular issue. There are some strange and subtle interactions going on with the rfkill stuff, so while I believe it's possible this patch fixes your issue I still can't quite work out why.

So just to be sure that this patch is _really_ fixing your problem, I've got one more request. The bug was originally reported against a fairly old kernel, so I'd like for you to test the most recent natty kernel to verify that your wifi still doesn't work there. If it doesn't we can be sure that this patch really is what fixed your problem and not some other update in the interim.

The following commands should replace the kernel I built with the latest:

  sudo apt-get update
  sudo apt-get install --reinstall linux-image-2.6.38.8-generic

Thanks!

Dave Morley (davmor2) wrote :

So wireless isn't on after running the command above.

If I do sudo rfkill unblock wifi it is then up and running again.

Seth Forshee (sforshee) wrote :

All right, thanks for verifying. I'll submit the patch.

I took a glance at the DSDT you attached, and it does have a WMI event object that could potentially be used to deliver hotkey events. If you interested in pursuing the wlan key (and any other nonfunctional hotkeys) further we should probably do so on a new ticket.

Seth Forshee (sforshee) wrote :

SRU Justification

Impact: Commit 466449c introduces a regression in acer-wmi that can result in soft blocks being incorrectly applied to rfkill switches in some circumstances. On the Fujitsu AMILO Li 2727 this results in wifi being soft blocked at boot, and since the wlan hotkey isn't working correctly this block can only be removed using the command line.

Fix: Patch from upstream which fixes the regression.

Test case: Boot affected machine and observe soft block state on wlan rfkill switches. Tested by reporter on LP #710738.

BugLink: http://bugs.launchpad.net/bugs/710738

Seth Forshee (sforshee) wrote :

Turns out we already have this patch queued for natty SRU as it came in via stable kernel updates. Thus changing the status to Fix Committed.

Changed in linux (Ubuntu Natty):
status: In Progress → Fix Committed
Dave Morley (davmor2) wrote :

Seth I'll set up another bug for the non-functioning hot key then and many thanks for your time on this :)

roadrash (roadrash) wrote :

I got the wireless working on My Fujitsu Li1718 using seth's linux-image-2.6.38-8-generic_2.6.38-8.42~lp710738v201104200928_i386. But today update manager upgraded the kernel to linux-image-2.6.38-8-generic_2.6.38-8.42_i386 and knocked the wireless out again so had to re-install seth's kernel again.
How long is it before the kernel upgrades implement a fix for this so I dont have to keep downgrading my kernel.

Seth Forshee (sforshee) wrote :

@roadrash:

This will be fixed in the first natty kernel update, which will be released fairly soon. The kernel is already available in the proposed archive. If you'd like to test it you can follow these instructions to enable the proposed archive:

  https://wiki.ubuntu.com/Testing/EnableProposed

Hi, same problem here, on a acer aspire 3610 with an Atheros AR2413 wifi card.
It works, sometimes? That's really erratic:

 Sometimes, the wifi card is shown in nm-applet, sometimes not, sometimes the networks are detected, sometimes not, sometimes I can connect to them, sometimes not.

Following advices read here or on askubuntu.com, I tried to blacklist different drivers or add options to them, did not do any better. (ath-pci,ath5k,acer-wmi,...)

Strange thing is, if I plug in a usb wifi dongle, the intern Atheros card shows up in networkmanager, and then connects properly (i.e: I can remove the dongle, and the laptop is connected to the internet thanks to the intern atheros card)

Besides, nothing appears to be blocked according to rfkill, and the hardware switch button does not respond (it is always litten).

Thanks you all guy for your help!
I was very skeptikal when I tried Unity on UNE 10.10 but Natty is really awesomely user-friendly :)

Here are my dmesg after each steps

Seth Forshee (sforshee) wrote :

@arkaitzswagman, it looks like your problem is actually bug #767192 and not this one. You can click the "Does this bug affect you?" link at the top there to indicate that you are also affected. If you'd like to help with the ongoing work to diagnose that bug that would be very helpful. You can start by installing the 2.6.39-020639rc6.201105050227 kernel from http://people.canonical.com/~sforshee/lp767192/linux-2.6.39-rc6/ and then collecting the information requested in comment #104 on that bug after running this command in a terminal:

  sudo sh -c "echo reset > /sys/kernel/debug/ieee80211/phy0/ath5k/debug"

If you have further comments, please follow up on bug #767192. Thanks!

vasdi (vasdi) wrote :

2.6.38-9 kernel and no wi-fi.
dmesg | tail:

[ 1969.783073] wlan0: Trigger new scan to find an IBSS to join
[ 1973.040042] wlan0: Trigger new scan to find an IBSS to join
[ 1978.040052] wlan0: Trigger new scan to find an IBSS to join
[ 1979.191474] wlan0: Creating new IBSS network, BSSID 46:43:88:78:21:ae
[ 2011.120046] wlan0: No active IBSS STAs - trying to scan for other IBSS networks with same SSID (merge)
[ 2051.065283] wlan0: No active IBSS STAs - trying to scan for other IBSS networks with same SSID (merge)

Is it the same bug?

m1k0 (m1k0-register) wrote :
Download full text (8.8 KiB)

root@fotonowy:~# ifconfig wlan0 up
root@fotonowy:~# rfkill unblock wifi
root@fotonowy:~# rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: acer-bluetooth: Bluetooth
 Soft blocked: yes
 Hard blocked: no
2: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
3: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
root@fotonowy:~# ifconfig
eth0 Link encap:Ethernet HWaddr 20:6a:8a:33:d3:8c
          inet addr:192.168.9.100 Bcast:192.168.9.255 Mask:255.255.255.0
          inet6 addr: fe80::226a:8aff:fe33:d38c/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:688 errors:0 dropped:0 overruns:0 frame:0
          TX packets:596 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:453860 (453.8 KB) TX bytes:136833 (136.8 KB)
          Interrupt:16

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:56 errors:0 dropped:0 overruns:0 frame:0
          TX packets:56 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:4032 (4.0 KB) TX bytes:4032 (4.0 KB)

root@fotonowy:~# ifconfig wlan0 up
root@fotonowy:~# ifconfig
eth0 Link encap:Ethernet HWaddr 20:6a:8a:33:d3:8c
          inet addr:192.168.9.100 Bcast:192.168.9.255 Mask:255.255.255.0
          inet6 addr: fe80::226a:8aff:fe33:d38c/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:688 errors:0 dropped:0 overruns:0 frame:0
          TX packets:596 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:453860 (453.8 KB) TX bytes:136833 (136.8 KB)
          Interrupt:16

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:56 errors:0 dropped:0 overruns:0 frame:0
          TX packets:56 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:4032 (4.0 KB) TX bytes:4032 (4.0 KB)

wlan0 Link encap:Ethernet HWaddr 90:00:4e:5f:e2:92
          UP BROADCAST MULTICAST MTU:1500 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B) TX bytes:0 (0.0 B)

root@fotonowy:~# rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: acer-bluetooth: Bluetooth
 Soft blocked: yes
 Hard blocked: no
2: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
3: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
root@fotonowy:~# uname -a
Linux fotonowy 2.6.38-9-generic #43-Ubuntu SMP Thu Apr 28 15:23:06 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
root@fotonowy:~# ifconfig
eth0 Link encap:Ethernet HWaddr 20:6a:8a:33:d3:8c
          inet addr:192.168.9.100 Bcast:192.168.9.255 Mask:255.255.255.0
          inet6 addr: fe80::226a:8aff:fe33:d38c...

Read more...

m1k0 (m1k0-register) wrote :
m1k0 (m1k0-register) wrote :
m1k0 (m1k0-register) wrote :
Seth Forshee (sforshee) wrote :

@vasdi, that looks like a different problem. You can confirm by running 'rfkill list' and verifying that there are no hard or soft blocks on your wlan device.

@m1k0: It looks like you are affected by this bug, but a fix is already applied to be released in the next kernel update, which I expect to be available in about 2 weeks. The kernel is already available in the proposed archive if you wish to test. Instructions for enabling the proposed archive are located at:

  https://wiki.ubuntu.com/Testing/EnableProposed

If you wish to update only the kernel, select only the linux-image and linux-headers package updates after enabling the proposed archive, then disable the archive after updating.

vasdi (vasdi) wrote :

0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

But after I disabled and then enabled wireless in NetworkManager it became:

0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

Seth Forshee (sforshee) wrote :

@vasdi: Have you tested the kernel in proposed? Your problem is a little different, but I think the same patch may fix your issue as well. If it doesn't then you should open a new bug by running 'ubuntu-bug linux' from a terminal.

Tiago Sousa (tiagoboldt) wrote :

any idea on when this will be backported to natty? It's really crappy to be reconnecting to the wireless every 5min :s

Per Moller (per-moller) wrote :

I'm not sure how to test the proposed kernel, so I'm anxiously awaiting a fixed kernel every day and counting approximately two weeks - is that normal?

Seth Forshee (sforshee) wrote :

@Per: To enable proposed you can follow the instructions at https://wiki.ubuntu.com/Testing/EnableProposed. The safest course of action would be to enable the proposed repositories and select only the updates for the kernel (anything with linux-image or linux-headers in the package name), then disable proposed updates.

Normally the kernel from proposed would have been released by now, but due to a combination of factors (various delays and a regression discovered in the 2.6.38-9.43 proposed kernel) there hasn't been an update for natty yet. I think it will probably be a couple more weeks before any kernel update for natty gets released. Thanks everyone for your patience.

Per Moller (per-moller) wrote :

@Seth: thanks for your comment. I actually had 2.6.39 running on my pc for some days but purged it as there was no improvement. I'll try again in a couple of weeks - but since I found an easy workaround (edit the NetworkManager.config-file) I'll run with that

Campbell Wallis (cwallis06) wrote :

I updated this morning and the wireless in my Fujitsu-Siemens Amilo Li-2727 now works. Many thanks to those who worked on the fix.

Seth Forshee (sforshee) on 2011-07-13
Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.